<?xml version='1.0' encoding='iso-8859-1' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.4.1">
  <compounddef id="classTMessages__AMCS" kind="class" prot="public">
    <compoundname>TMessages_AMCS</compoundname>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="classTMessages__AMCS_1a0" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>TMessages_AMCS::TMessages_AMCS</definition>
        <argsstring>()</argsstring>
        <name>TMessages_AMCS</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="22" bodystart="5" bodyend="7"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a1" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>TMessages_AMCS::~TMessages_AMCS</definition>
        <argsstring>()</argsstring>
        <name>~TMessages_AMCS</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="24" bodystart="10" bodyend="12"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a2" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool TMessages_AMCS::generateGreetingsMsg</definition>
        <argsstring>(char *name, char *ident, char *site)</argsstring>
        <name>generateGreetingsMsg</name>
        <param>
          <type>char *</type>
          <declname>name</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>ident</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>site</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="27" bodystart="15" bodyend="54"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a3" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool TMessages_AMCS::generateTimeoutMsg</definition>
        <argsstring>(char *name, char *ident, char *site, char *timeoutSeconds)</argsstring>
        <name>generateTimeoutMsg</name>
        <param>
          <type>char *</type>
          <declname>name</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>ident</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>site</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>timeoutSeconds</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="29" bodystart="58" bodyend="97"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a4" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool TMessages_AMCS::generateGoodbyeMsg</definition>
        <argsstring>(char *name, char *ident, char *site)</argsstring>
        <name>generateGoodbyeMsg</name>
        <param>
          <type>char *</type>
          <declname>name</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>ident</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>site</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="31" bodystart="101" bodyend="139"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a5" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool TMessages_AMCS::generateStatusMsg</definition>
        <argsstring>(char *name, char *ident, char *site, char *statusTable[], int statusCount)</argsstring>
        <name>generateStatusMsg</name>
        <param>
          <type>char *</type>
          <declname>name</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>ident</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>site</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>statusTable</declname>
          <array>[]</array>
        </param>
        <param>
          <type>int</type>
          <declname>statusCount</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="33" bodystart="141" bodyend="187"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a6" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>char *</type>
        <definition>char * TMessages_AMCS::timestampGenerator</definition>
        <argsstring>()</argsstring>
        <name>timestampGenerator</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="35" bodystart="193" bodyend="207"/>
      </memberdef>
      <memberdef kind="function" id="classTMessages__AMCS_1a7" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>int</type>
        <definition>int TMessages_AMCS::adjustMessageLength</definition>
        <argsstring>(int length)</argsstring>
        <name>adjustMessageLength</name>
        <param>
          <type>int</type>
          <declname>length</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="37" bodystart="212" bodyend="227"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-attrib">
      <memberdef kind="variable" id="classTMessages__AMCS_1o0" prot="public" static="no" volatile="no" mutable="no">
        <type>string</type>
        <definition>string TMessages_AMCS::completeMessage</definition>
        <argsstring></argsstring>
        <name>completeMessage</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="17" bodystart="17" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="classTMessages__AMCS_1o1" prot="public" static="no" volatile="no" mutable="no">
        <type>string</type>
        <definition>string TMessages_AMCS::header</definition>
        <argsstring></argsstring>
        <name>header</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="18" bodystart="18" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="classTMessages__AMCS_1o2" prot="public" static="no" volatile="no" mutable="no">
        <type>string</type>
        <definition>string TMessages_AMCS::body</definition>
        <argsstring></argsstring>
        <name>body</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="19" bodystart="19" bodyend="-1"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location file="/home/bureaup/trastoamcs/src/tmessages_amcs.hpp" line="14" bodystart="14" bodyend="38"/>
    <listofallmembers>
      <member refid="classTMessages__AMCS_1a7" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>adjustMessageLength</name></member>
      <member refid="classTMessages__AMCS_1o2" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>body</name></member>
      <member refid="classTMessages__AMCS_1o0" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>completeMessage</name></member>
      <member refid="classTMessages__AMCS_1a4" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>generateGoodbyeMsg</name></member>
      <member refid="classTMessages__AMCS_1a2" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>generateGreetingsMsg</name></member>
      <member refid="classTMessages__AMCS_1a5" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>generateStatusMsg</name></member>
      <member refid="classTMessages__AMCS_1a3" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>generateTimeoutMsg</name></member>
      <member refid="classTMessages__AMCS_1o1" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>header</name></member>
      <member refid="classTMessages__AMCS_1a6" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>timestampGenerator</name></member>
      <member refid="classTMessages__AMCS_1a0" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>TMessages_AMCS</name></member>
      <member refid="classTMessages__AMCS_1a1" prot="public" virt="non-virtual"><scope>TMessages_AMCS</scope><name>~TMessages_AMCS</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
